#include "accservice.h"
#include <define.h>

AccService::AccService()
{
    m_price = 0;
    m_active = 1;
}
int AccService::id() const
{
    return m_id;
}

void AccService::setId(int id)
{
    m_id = id;
}
QDecDouble AccService::price() const
{
    return QDecDouble((double)m_price / DEC_MULTIPLE);
}

void AccService::setPrice(QDecDouble price)
{
    m_price = price.toDouble() * DEC_MULTIPLE;
}
bool AccService::active() const
{
    return m_active;
}

void AccService::setActive(bool active)
{
    m_active = active;
}
bool AccService::salePossible() const
{
    return m_salePossible;
}

void AccService::setSalePossible(bool salePossible)
{
    m_salePossible = salePossible;
}
AccService::ServiceType AccService::serviceType() const
{
    return m_serviceType;
}

void AccService::setServiceType(const AccService::ServiceType &serviceType)
{
    m_serviceType = serviceType;
}

QString AccService::accServiceName() const
{
    return m_accServiceName;
}

void AccService::setAccServiceName(const QString &accServiceName)
{
    m_accServiceName = accServiceName;
}
QString AccService::accServiceCode() const
{
    return m_accServiceCode;
}

void AccService::setAccServiceCode(const QString &accServiceCode)
{
    m_accServiceCode = accServiceCode;
}
Enums::VatType AccService::vatType() const
{
    return m_vatType;
}

void AccService::setVatType(const Enums::VatType &VatType)
{
    m_vatType = VatType;
}





